import lib

#
# negotiators are functions that we invoke when a
# fairy tries to move an avatar into a space containing
# an entity that claims it.
#
def player_door(context, ent, target):
    target.contained_by.adopt(ent)

def player_outhouse_door(context, ent, target):
    selected = lib.inspect_mobile_items_in_container( context=context
                                                    , container=ent.inv
                                                    , heading="Select item to deposit:"
                                                    , use_selection=True
                                                    )
    if selected:
        target.inv.adopt(selected)
        lib.status(context, 'Done')

    selected = lib.inspect_mobile_items_in_container( context=context
                                                    , container=target.inv
                                                    , heading="Select item to get"
                                                    , use_selection=True
                                                    )
    if selected:
        ent.inv.adopt(selected)
        lib.status(context, 'Taken')

def player_sleep(context, ent, target):
    lib.status(context, 'xxx')

def player_well(context, ent, target):
    lib.status(context, 'xxx')



